#!/bin/bash


###############################
#
# Validate ip address
#
ipvalid() {
	# Set up local variables
	local ip=${1:-1.2.3.4}
	local IFS=.; local -a a=($ip)
	# Start with a regex format test
	[[ $ip =~ ^[0-9]+(\.[0-9]+){3}$ ]] || return 1
	# Test values of quads
	local quad
	for quad in {0..3}; do
		[[ "${a[$quad]}" -gt 255 ]] && return 1
	done
	return 0
}

#if ipvalid "$ip"; then
#  echo "success ($ip)"
#else
#  echo "fail ($ip)"
#fi


###############################
#
# Parse posted data
#
. ./parse-html.sh

# Expecting to have received ${ip_addr} and ${netmask}

if (ipvalid ${ip_addr}) && (ipvalid ${netmask}) ; then
	# all good

# TODO: set new IP Address
# TODO: store new IP address into eth0.conf
# TODO: static/dhcp radio button



	. ./header.sh "Network Address Applied"


	###############################
	#
	# Content
	#
	printf '
	IP Address set successfully. <p/>

	<a href="main.sh">Back to Settings</a>'


	. ./footer.sh
else
	###############################
	#
	# Error
	#
	if ! ipvalid ${ip_addr} ; then
		printf 'ERROR: Bad IP address entered\n'
		printf 'ADDR=%s\n' ${ip_addr} 
	fi
	if ! ipvalid ${netmask} ; then
		printf 'ERROR: Bad netmask entered\n'
		printf 'MASK=%s\n' ${netmask} 
	fi
fi
