#!/bin/bash


###############################
# Include header first, it exports common variables
. ./header.sh "Time Zone"


###############################
#
# Parse posted data
#
. ./parse-html.sh

# Expecting to have received ${time_zone}


###############################
#
# Store supplied Time Zone
#
grep -q time_zone ${MANTRA_INI}
if [ $? -eq 0 ]; then
	sed -i "s/time_zone=.*/time_zone=${time_zone}/" ${MANTRA_INI}
else
	grep -q -F '[Settings]' ${MANTRA_INI}
	if [ ! $? -eq 0 ]; then
		echo '[Settings]' >> ${MANTRA_INI}
	fi
	echo time_zone=${time_zone} >> ${MANTRA_INI}
fi


###############################
#
# Content
#
printf '
Time Zone set successfully to %s. <p/>
Reboot is needed for this change to take effect.<p/>

<a href="main.sh">Back to Settings</a>
' "${time_zone}"



. ./footer.sh
